using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace SMAT_CE
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.应用程序的主入口点
        /// </summary>
        [STAThread]
        static void Main(string[] arg)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            string strArg = "";
            foreach (string s in arg)
            {
                strArg = strArg + " " + s;
            }
            CommonClass.InputParams = new string[] { strArg };
            //-------读ini--
            CommonClass.GetAllIniFromFile();
            bool ok = MathNet.Numerics.Control.TryUseNativeMKL();
            if (!ok) ok = MathNet.Numerics.Control.TryUseNativeOpenBLAS();
            MathNet.Numerics.Control.UseMultiThreading();
            Application.Run(new Main());
        }
    }
}
